# Interface AsyncResourceOptions

interface AsyncResourceOptions {
requireManualDestroy?: boolean;
triggerAsyncId?: number;
}

#### Hierarchy (view full)

- AsyncResourceOptions
  - EventEmitterAsyncResourceOptions

- Defined in node_modules/@types/node/async_hooks.d.ts:211

#####
Index

### Properties

requireManualDestroy?
triggerAsyncId?

## Properties

### `Optional` requireManualDestroy

requireManualDestroy?: boolean

Disables automatic `emitDestroy` when the object is garbage collected. This usually does not need to be set (even if `emitDestroy` is called manually), unless the resource's `asyncId` is retrieved and the sensitive API's `emitDestroy` is called with it.

#### Default

    false

- Defined in node_modules/@types/node/async_hooks.d.ts:224

### `Optional` triggerAsyncId

triggerAsyncId?: number

The ID of the execution context that created this async event.

#### Default

    executionAsyncId()

- Defined in node_modules/@types/node/async_hooks.d.ts:216